------------------------------------------------------------------------------
--                                  Log4Ada                                 --
--                                                                          --
--                            Copyright (C) 2007                            --
--                              X. Grave CNRS                               --
--                                                                          --
--  This library is free software; you can redistribute it and/or modify    --
--  it under the terms of the GNU General Public License as published by    --
--  the Free Software Foundation; either version 2 of the License, or (at   --
--  your option) any later version.                                         --
--                                                                          --
--  This library is distributed in the hope that it will be useful, but     --
--  WITHOUT ANY WARRANTY; without even the implied warranty of              --
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       --
--  General Public License for more details.                                --
--                                                                          --
--  You should have received a copy of the GNU General Public License       --
--  along with this library; if not, write to the Free Software Foundation, --
--  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.          --
--                                                                          --
with Ada.Strings.Unbounded;
with Ada.Containers.Indefinite_Vectors;

package Log4ada.Types is
   type Base_Type is abstract tagged limited record
      Name : Ada.Strings.Unbounded.Unbounded_String;
   end record;
   procedure Set_Name (Base : not null access Base_Type;
                       Name : String);
   function Get_Name (Base : not null access Base_Type) return String;

   package String_Vectors is new Ada.Containers.Indefinite_Vectors (Positive,
                                                                    String,
                                                                    "=");

end Log4ada.Types;
